package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2024/4/15 12:24
 */
@Getter
@Setter
public class AnalyzeApiDTO {
    //得分
    private BigDecimal scoreRes;
    //缺陷总数
    private Long num;
    //审核状态
    private String status;
    // 缺陷条目
    private Map<String,List<MsgApiDTO>> msgApiDTOMap = new HashMap<>();
}
