package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @author: dsYun
 * @time: 2025/3/28 12:24
 */
@Getter
@Setter
public class AnalyzeCaseDetailDTO {
    //姓名
    private String name;
    //性别
    private String sex;
    //年龄
    private String age;
    //病案号
    private String behospitalCode;
    //得分
    private BigDecimal scoreRes;
    //缺陷总数
    private int num;
    // 缺陷条目
    private List<MsgDTO> msgDTOList = new ArrayList<>();
}
