package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:
 * @time: 2024-04-13 16:09
 */
@Setter
@Getter
public class QcCasesEntryHospitalDTO {
    private Long id;
    private Long casesId;
    @Excel(name = "规则所属文书类型",width = 30,orderNum = "3")
    private String casesName;
    @Excel(name = "规则名称",width = 30,orderNum = "0")
    private String name;
    private String msg;
    private Double score;
    private Integer isReject;
    @Excel(name = "状态",width = 30,orderNum = "6", replace = {"失效_0","生效_1"})
    private Integer isUsed;
    private Integer ruleType;
    @Excel(name = "规则逻辑",width = 30,orderNum = "1")
    private String remark;
    @Excel(name = "规则类型",width = 30,orderNum = "2")
    private Short syRuleType;
    @Excel(name = "提醒类型",width = 30,orderNum = "4")
    private Short remindType;
    @Excel(name = "提醒级别",width = 30,orderNum = "5")
    private Integer remindLevel;
}
