package com.diagbot.util;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component
@PropertySource(value={"classpath:jdbc.properties"})
public class ReadProperties {
	
	@Value(value="${jdbc.driverClassName}")
	public String jdbcDriverClassName;
	
	@Value(value="${jdbc.url}")
	public String jdbcUrl;

	@Value(value="${process.qc.url}")
	public String processQcUrl;


	@Value(value="${his.patient.url}")
	public String hisPatientUrl;




	public String getHisPatientUrl() {
		return hisPatientUrl;
	}


	public String getJdbcUrl() {
		return jdbcUrl;
	}
	
	public String getProcessQcUrl(){return processQcUrl;}

	
}
