package com.diagbot.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @description:
 * @author: dsYun
 * @time: 2024/4/13 18:31
 */
@Data
public class AnalyzeRunVO {
    // 病历id
    @NotBlank(message = "behospitalCode不能为空")
    private String behospitalCode;
    // 医院ID
    @NotNull(message = "hospitalId不能为空")
    private Long hospitalId;
    // 归档字段
    private String isPlacefile = "0";
    // 是否展示内容
    private String isDefect = "0";
}
