package com.diagbot.vo;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: zhoutg
 * @time: 2024/4/13 18:31
 */
@Data
public class BehospitalcodeVO {

    private String behospitalCode; // 病历id

    // 指定编码列表
    private List<String> behospitalCodeList = new ArrayList<>();

    @NotNull(message = "hospitalId不能为空")
    private Long hospitalId; //医院ID

}
